Bug 1125177 - Veth devices are shown as NICs
Summary: Veth devices are shown as NICs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Petr Horáček
QA Contact: Gil Klein
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 08:59 UTC by Yevgeny Zaspitsky
Modified: 2016-02-10 19:37 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:42:44 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31166 master MERGED Veth devices are shown as NICs + test Never
oVirt gerrit 32016 ovirt-3.5 MERGED Veth devices are shown as NICs + test Never

Description Yevgeny Zaspitsky 2014-07-31 08:59:24 UTC
Description of problem:
Veth devices are shown as NICs.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a veth pair by:
ip link add dev xxx_a type veth peer name xxx_b
2. Run vdsClient -s 0 getVdsCaps


Actual results:
xxx_a and xxx_b devices appear as NICs

Expected results:
xxx_a and xxx_b should be filtered out.

Additional info:
All veth devices should be filtered out unlike their name starts with "veth_"

Comment 1 Sandro Bonazzola 2014-10-17 12:42:44 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.